yum install git libcurl.so.3()(64bit) error

Issues related to applications and software problems

yum install git libcurl.so.3()(64bit) error

Postby dunnerz » 2011/09/13 08:06:44

Hi,

Bit of a newbie to centos (but been using debian based systems for about 5-6 years), been trying to setup a dev server for work and they insist we use centos, anyway, I digress...


Trying to run:

Code: Select all
yum install git


but I get the following error

Code: Select all
[root@localhost ~]# yum install git
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
epel/metalink                                                  | 7.6 kB     00:00     
epel-debuginfo/metalink                                        | 7.1 kB     00:00     
epel-source/metalink                                           | 7.6 kB     00:00     
epel-testing/metalink                                          | 7.7 kB     00:00     
epel-testing-debuginfo/metalink                                | 7.4 kB     00:00     
epel-testing-source/metalink                                   | 7.6 kB     00:00     
 * base: nl.mirror.eurid.eu
 * centosplus: centos.mirror.triple-it.nl
 * epel: ftp.sh.cvut.cz
 * epel-debuginfo: ftp.sh.cvut.cz
 * epel-source: ftp.sh.cvut.cz
 * epel-testing: ftp.sh.cvut.cz
 * epel-testing-debuginfo: ftp.sh.cvut.cz
 * epel-testing-source: ftp.sh.cvut.cz
 * extras: archive.cs.uu.nl
 * rpmforge: fr2.rpmfind.net
 * updates: centos.mirror.triple-it.nl
base                                                           | 3.7 kB     00:00     
centosplus                                                     | 3.5 kB     00:00     
contrib                                                        |  951 B     00:00     
dag                                                            | 1.1 kB     00:00     
dag/primary                                                    | 1.4 MB     00:00     
dag                                                                         4015/4015
epel                                                           | 4.3 kB     00:00     
epel/primary_db                                                | 4.1 MB     00:01     
epel-debuginfo                                                 | 3.1 kB     00:00     
epel-debuginfo/primary_db                                      | 382 kB     00:00     
epel-source                                                    | 3.3 kB     00:00     
epel-source/primary_db                                         | 988 kB     00:00     
epel-testing                                                   | 4.2 kB     00:00     
epel-testing/primary_db                                        | 272 kB     00:00     
epel-testing-debuginfo                                         | 3.1 kB     00:00     
epel-testing-debuginfo/primary_db                              |  22 kB     00:00     
epel-testing-source                                            | 3.3 kB     00:00     
epel-testing-source/primary_db                                 |  54 kB     00:00     
extras                                                         |  951 B     00:00     
rpmforge                                                       | 1.1 kB     00:00     
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Tue Sep  6 02:46:10 2011
  Downloaded: Tue Sep  6 02:45:18 2011
updates                                                        | 3.5 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package git.x86_64 0:1.7.6.1-1.el5.rf set to be updated
--> Processing Dependency: perl-Git = 1.7.6.1-1.el5.rf for package: git-1.7.6.1-1.el5.rf.x86_64
--> Processing Dependency: rsync for package: git-1.7.6.1-1.el5.rf.x86_64
--> Processing Dependency: perl(DBI) for package: git-1.7.6.1-1.el5.rf.x86_64
--> Processing Dependency: perl(Git) for package: git-1.7.6.1-1.el5.rf.x86_64
--> Processing Dependency: libexpat.so.0()(64bit) for package: git-1.7.6.1-1.el5.rf.x86_64
--> Processing Dependency: libcurl.so.3()(64bit) for package: git-1.7.6.1-1.el5.rf.x86_64
--> Running transaction check
---> Package compat-expat1.x86_64 0:1.95.8-8.el6 set to be updated
---> Package git.x86_64 0:1.7.6.1-1.el5.rf set to be updated
--> Processing Dependency: libcurl.so.3()(64bit) for package: git-1.7.6.1-1.el5.rf.x86_64
---> Package perl-DBI.x86_64 0:1.609-4.el6 set to be updated
---> Package perl-Git.x86_64 0:1.7.6.1-1.el5.rf set to be updated
---> Package rsync.x86_64 0:3.0.6-5.el6_0.1 set to be updated
--> Finished Dependency Resolution
Error: Package: git-1.7.6.1-1.el5.rf.x86_64 (rpmforge)
           Requires: libcurl.so.3()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@localhost ~]#



I've got centos 6, 64 bit, installed in a virtual machine using virtualbox. I've pretty much done everything "by the book" - i.e. I've used yum where-ever possible, not mucked around with configs, etc.

Curl and curl-devel is already installed (I don't believe you can have yum without it). I've tried plenty of googling, but none of the solutions work.... any ideas? (it's not just me, there are some recent posts on stack over flow, etc.).

Other things that you might ask....
Code: Select all
[root@localhost ~]# rpm -qa | grep curl
python-pycurl-7.19.0-8.el6.x86_64
curl-7.19.7-16.el6.x86_64
libcurl-devel-7.19.7-16.el6.x86_64
libcurl-7.19.7-16.el6.x86_64


Also, tried sym linking libcurl.so.4 to so.3 and 3.0.0 in both lib and lib64 - neither worked.

Obviously a development machine, git is quite crucial - in fact, git is quite a widely used tool - so I'm quite surprised that this doesn't work.

Many thanks.
dunnerz
 
Posts: 4
Joined: 2011/09/13 07:59:27

Re: yum install git libcurl.so.3()(64bit) error

Postby TrevorH » 2011/09/13 08:34:38

Your problem is almost certainly the mix and match of repositories that you have enabled.

I've pretty much done everything "by the book"


It also looks like you missed the section of the book that deals with using yum-priorities to stop packages from one repo overwriting the ones from another.

I suspect that if you run `yum --showduplicates list libcurl\*` then you will find duplicate versions of those packages across, e.g. rpmforge and epel. The package that you are installing now comes from one of those and is pulling in the libcurl-devel from the other repo when it expects to find the one from the same repo as itself.
User avatar
TrevorH
Forum Moderator
 
Posts: 9071
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: yum install git libcurl.so.3()(64bit) error

Postby dunnerz » 2011/09/13 09:23:09

Sorry - yeah, I should have mentioned that I only added those repo's once the book failed ;) (it failed from the standard repo's)

Code: Select all
[root@localhost ~]# yum --showduplicates list libcurl\*
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: nl.mirror.eurid.eu
 * centosplus: centos.mirror.triple-it.nl
 * epel: ftp.uni-koeln.de
 * epel-debuginfo: ftp.uni-koeln.de
 * epel-source: ftp.uni-koeln.de
 * epel-testing: ftp.uni-koeln.de
 * epel-testing-debuginfo: ftp.uni-koeln.de
 * epel-testing-source: ftp.uni-koeln.de
 * extras: archive.cs.uu.nl
 * rpmforge: fr2.rpmfind.net
 * updates: centos.mirror.triple-it.nl
Installed Packages
libcurl.x86_64                     7.19.7-16.el6                @anaconda-CentOS-201106060106.x86_64/6.0
libcurl-devel.x86_64               7.19.7-16.el6                @base
Available Packages
libcurl.i686                       7.19.7-16.el6                base
libcurl.x86_64                     7.19.7-16.el6                base
libcurl-devel.i686                 7.19.7-16.el6                base
libcurl-devel.x86_64               7.19.7-16.el6                base


It's only lists base.

Any more ideas - would be greatly appreciated :)

Thanks.
dunnerz
 
Posts: 4
Joined: 2011/09/13 07:59:27

Re: yum install git libcurl.so.3()(64bit) error

Postby TrevorH » 2011/09/13 11:43:44

Sorry, missed this the first time

git-1.7.6.1-1.el5.rf.x86_64


Wrong rpmforge I suspect - looks like you are pointing to the el5 rpmforge repo not the el6
User avatar
TrevorH
Forum Moderator
 
Posts: 9071
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: yum install git libcurl.so.3()(64bit) error

Postby dunnerz » 2011/09/13 14:29:35

TrevorH wrote:
Sorry, missed this the first time

git-1.7.6.1-1.el5.rf.x86_64


Wrong rpmforge I suspect - looks like you are pointing to the el5 rpmforge repo not the el6



Code: Select all

[root@localhost ~]# grep -ir el5 /etc/yum.repos.d/*
[root@localhost ~]#
[root@localhost ~]#
[root@localhost ~]# cat /etc/yum.repos.d/rpmforge.repo
### Name: RPMforge RPM Repository for RHEL 6 - dag
### URL: http://rpmforge.net/
[rpmforge]
name = RHEL $releasever - RPMforge.net - dag
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/rpmforge
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge
enabled = 1
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1

[rpmforge-extras]
name = RHEL $releasever - RPMforge.net - extras
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/extras
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge-extras
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-extras
enabled = 0
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1

[rpmforge-testing]
name = RHEL $releasever - RPMforge.net - testing
baseurl = http://apt.sw.be/redhat/el6/en/$basearch/testing
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge-testing
#mirrorlist = file:///etc/yum.repos.d/mirrors-rpmforge-testing
enabled = 0
protect = 0
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmforge-dag
gpgcheck = 1
[root@localhost ~]#




Thanks - but sadly, another brick wall
dunnerz
 
Posts: 4
Joined: 2011/09/13 07:59:27

Re: yum install git libcurl.so.3()(64bit) error

Postby dunnerz » 2011/09/13 14:33:47

Just enabled the rpmforge extras repo - it found the el6, job don - all installed.


So - just for reference, is this an issue with the centos repo's? Shouldn't they already point to el6 version of git?


Thanks for your help TrevorH - wouldn't have spotted that otherwise. Brilliant :-D
dunnerz
 
Posts: 4
Joined: 2011/09/13 07:59:27

Re: yum install git libcurl.so.3()(64bit) error

Postby TrevorH » 2011/09/13 15:20:30

just for reference, is this an issue with the centos repo's?


rpmforge != centos, so no.
User avatar
TrevorH
Forum Moderator
 
Posts: 9071
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

yum install git libcurl.so.3()(64bit) error

Postby pschaff » 2011/09/21 20:57:57

There has to be a problem with your repo configuration. Please provide more information about your system by running "./getinfo.sh package" and showing us the output file.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: yum install git libcurl.so.3()(64bit) error

Postby r_hartman » 2011/09/22 09:07:32

dunnerz wrote:
So - just for reference, is this an issue with the centos repo's? Shouldn't they already point to el6 version of git?

No, as Trevor already commented. And as he also pointed out, the issue is with your not installing and configuring yum-plugin-priorities.
When I do a "yum list git", this is what I get:
Code: Select all
# yum list git
Loaded plugins: fastestmirror, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
 * base: centos.mirror.freedomvoice.com
 * epel: archive.linux.duke.edu
 * extras: centos.cs.wisc.edu
 * rpmforge: apt.sw.be
 * updates: centos.corenetworks.net
1039 packages excluded due to repository priority protections
Installed Packages
git.x86_64                       1.7.1-2.el6_0.1                        @updates


So as you can see, it came from the CentOS repo, not from 3rd party, as it tries to do (and did in the end) in your case.

EDIT: Despite your claim, git does not seem to be in rpmforge(-testing). So I suggest you follow Phil's advice as well:
Code: Select all
# yum --disableplugin=priorities --disablerepo=\* --enablerepo=rpmforge list available git
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rpmforge: apt.sw.be
Error: No matching Packages to list

# yum --disableplugin=priorities --disablerepo=\* --enablerepo=rpmforge-testing list available git
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rpmforge-testing: apt.sw.be
Error: No matching Packages to list
r_hartman
 
Posts: 701
Joined: 2009/03/23 15:08:11
Location: Netherlands


Return to CentOS 6 - Software Support

Who is online

Users browsing this forum: No registered users and 3 guests